PROBE::TCP.RECEIVE(3stap)

NAME
probe::tcp.receive - Called when a TCP packet is received

SYNOPSIS

tcp.receive

VALUES

saddr
    A string representing the source IP address

protocol
    Packet protocol from driver

family
    IP address family

iphdr
    IP header address

psh
    TCP PSH flag

ack
    TCP ACK flag

dport
    TCP destination port

fin
    TCP FIN flag

name
    Name of the probe point

urg
    TCP URG flag

daddr
    A string representing the destination IP address

rst
    TCP RST flag

sport
    TCP source port

syn
    TCP SYN flag

SEE ALSO
tapset::tcp(3stap)